Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.xmp.schemas
Class DublinCoreSchema

    java.lang.Object
      org.apache.xmlgraphics.xmp.XMPSchema
          org.apache.xmlgraphics.xmp.schemas.DublinCoreSchema

    public class DublinCoreSchema

extends XMPSchema

Schema class for Dublin Core.

Field Summary
`static String` | `NAMESPACE` Namespace URI for Dublin Core

Constructor Summary
`DublinCoreSchema()` Creates a new schema instance for Dublin Core.

Method Summary
`static DublinCoreAdapter` | `getAdapter(Metadata meta)` Creates and returns an adapter for this schema around the given metadata object.
`MergeRuleSet` | `getDefaultMergeRuleSet()`

Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchema
`getNamespace, getPreferredPrefix, getQName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final String NAMESPACE

  Namespace URI for Dublin Core

  See Also:
    Constant Field Values

Constructor Detail

### DublinCoreSchema

    public DublinCoreSchema()

  Creates a new schema instance for Dublin Core.

Method Detail

### getAdapter

    public static DublinCoreAdapter getAdapter(Metadata meta)

  Creates and returns an adapter for this schema around the given metadata object.

  Parameters:
    `meta` - the metadata object
  Returns:
    the newly instantiated adapter

### getDefaultMergeRuleSet

    public MergeRuleSet getDefaultMergeRuleSet()

  Overrides:
    `getDefaultMergeRuleSet` in class `XMPSchema`
  Returns:
    the default merge rule set for this XMP schema.
  See Also:
    `XMPSchema.getDefaultMergeRuleSet()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.